# wxRearrangeCtrl Class Reference
[Controls]

`#include <wx/rearrangectrl.h>`

## Detailed Description

A composite control containing a wxRearrangeList and the buttons allowing to move the items in it.

This control is in fact a panel containing the wxRearrangeList control and the "Up" and "Down" buttons to move the currently selected item up or down. It is used as the main part of a wxRearrangeDialog.

Since:
  2.9.0

##

Library: wxCore

Category: Controls

## Public Member Functions
| wxRearrangeCtrl ()
| Default constructor.
| wxRearrangeCtrl (wxWindow *parent, wxWindowID id, const wxPoint &pos, const wxSize &size, const wxArrayInt &order, const wxArrayString &items, long style=0, const wxValidator &validator=wxDefaultValidator, const wxString &name=wxRearrangeListNameStr)
| Constructor really creating the control.
bool | Create (wxWindow *parent, wxWindowID id, const wxPoint &pos, const wxSize &size, const wxArrayInt &order, const wxArrayString &items, long style=0, const wxValidator &validator=wxDefaultValidator, const wxString &name=wxRearrangeListNameStr)
| Effectively creates the window for an object created using the default constructor.
wxRearrangeList * | GetList () const
| Return the listbox which is the main part of this control.

List of all members.

## Constructor & Destructor Documentation

wxRearrangeCtrl::wxRearrangeCtrl | ( |  | ) |

Default constructor.

Create() must be called later to effectively create the control.

wxRearrangeCtrl::wxRearrangeCtrl | ( | wxWindow * | parent,
|  | wxWindowID | id,
|  | const wxPoint & | pos,
|  | const wxSize & | size,
|  | const wxArrayInt & | order,
|  | const wxArrayString & | items,
|  | long | style = `0`,
|  | const wxValidator & | validator = `wxDefaultValidator`,
|  | const wxString & | name = `wxRearrangeListNameStr` |
| ) |  |  |

Constructor really creating the control.

Please see Create() for the parameters description.

## Member Function Documentation

bool wxRearrangeCtrl::Create | ( | wxWindow * | parent,
|  | wxWindowID | id,
|  | const wxPoint & | pos,
|  | const wxSize & | size,
|  | const wxArrayInt & | order,
|  | const wxArrayString & | items,
|  | long | style = `0`,
|  | const wxValidator & | validator = `wxDefaultValidator`,
|  | const wxString & | name = `wxRearrangeListNameStr` |
| ) |  |  |

Effectively creates the window for an object created using the default constructor.

The parameters of this method are the same as for wxRearrangeList::Create().

wxRearrangeList* wxRearrangeCtrl::GetList | ( |  | ) | const

Return the listbox which is the main part of this control.

|  | [ top ]